GET/Drives/{driveId}/files/{fileId}/versions/{versionId}
Returns one version of a file with its comments, reviews and all uploaded formats with download URIs. Requires at
least File.Read on the file's path; the versionId comes from the versions on Drives_GetFile.
Path Parameters
| Field | Type | Required | Description |
|---|
| driveId | uuid | Required | |
| fileId | uuid | Required | |
| versionId | uuid | Required | |
Response
| Field | Type | Description |
|---|
| id | uuid | |
| versionTag | string| null | |
| createdDate | date-time | |
| status | string| null | |
| taskId | uuid| null | |
| comments | GetFileVersionResponseComment[]| null | |
| reviews | GetFileVersionResponseReview[]| null | |
| formats | GetFileVersionResponseFormat[]| null | |
| Field | Type | Description |
|---|
| id | uuid | |
| userId | uuid | |
| userName | string| null | |
| timeStamp | date-time | |
| content | string| null | |
GetFileVersionResponseReview
| Field | Type | Description |
|---|
| id | uuid | |
| reviewerId | uuid | |
| reviewerName | string| null | |
| crewId | uuid | |
| response | string| null | |
| Field | Type | Description |
|---|
| id | uuid | |
| type | string| null | |
| size | integer | |
| uri | uri| null | |